2020-01-25 22:19 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003816Spring engineBuildbotpublic2014-04-04 14:24
Reporterabma 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionnot fixable 
Product Version 
Target VersionFixed in Version 
Summary0003816: *** error for object 0x7fff703a0500: pointer being freed was not allocated *** (osx buildslave)
Description 2/16 Test #2: testILog .........................***Failed 0.25 sec

WARNING: A log message was recorded, but no sink is registered.
         (there will be no further warnings)

Running NOTE: logging to temporary log file: /var/tmp/tmp.0.gzh3pE
Testing default logging level (INFO)
test_ILog(81440) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug
Error: Static min log level is: 30
test_ILog(81440) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug
    NOTE: logging to temporary log file: /var/tmp/tmp.1.AJw1wt
    NOTE: logging to temporary log file: /var/tmp/tmp.2.BMH9z7
(IsSingleInstruction) Test
test_ILog(81440) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug
    NOTE: logging to temporary log file: /var/tmp/tmp.3.tcXDbi
Testing logging section: <default> (level: default)
test_ILog(81440) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug
    NOTE: logging to temporary log file: /var/tmp/tmp.4.7K6wWf

14/16 Test 0000014: testCreg .........................***Exception: Other 45.42 sec
spring-headless(81509) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • ? file icon ssudholt-springbuild1 (61,854 bytes) 2013-06-19 12:57 -
    Gream-2:~ ssudholt$ git clone git://github.com/spring/spring.git
    Cloning into 'spring'...
    remote: Counting objects: 179976, done.
    remote: Compressing objects: 100% (35046/35046), done.
    remote: Total 179976 (delta 146594), reused 177188 (delta 144121)
    Receiving objects: 100% (179976/179976), 125.77 MiB | 2.93 MiB/s, done.
    Resolving deltas: 100% (146594/146594), done.
    Checking out files: 100% (2965/2965), done.
    Gream-2:~ ssudholt$ git clone git://github.com/spring/spring.git -b develop
    fatal: destination path 'spring' already exists and is not an empty directory.
    Gream-2:~ ssudholt$ git clone git://github.com/spring/spring.git -b develop
    Cloning into 'spring'...
    remote: Counting objects: 179976, done.
    remote: Compressing objects: 100% (35046/35046), done.
    remote: Total 179976 (delta 146594), reused 177188 (delta 144121)
    Receiving objects: 100% (179976/179976), 125.77 MiB | 2.63 MiB/s, done.
    Resolving deltas: 100% (146594/146594), done.
    Gream-2:~ ssudholt$ git pull --rebase
    fatal: Not a git repository (or any of the parent directories): .git
    Gream-2:~ ssudholt$ git submodule sync
    fatal: Not a git repository (or any of the parent directories): .git
    Gream-2:~ ssudholt$ git submodule sync
    fatal: Not a git repository (or any of the parent directories): .git
    Gream-2:~ ssudholt$ git submodule update --init
    fatal: Not a git repository (or any of the parent directories): .git
    Gream-2:~ ssudholt$ buildmakejobs 5
    -bash: buildmakejobs: command not found
    Gream-2:~ ssudholt$ sudo port install cmake libsdl libsdl-framework boost boost-jam libpng jpeg tiff libogg libvorbis python27 libdevil git-core binutils p7zip glew
    Password:
    Warning: port definitions are more than two weeks old, consider using selfupdate
    --->  Computing dependencies for cmake
    --->  Cleaning cmake
    --->  Computing dependencies for libsdl
    --->  Cleaning libsdl
    --->  Computing dependencies for libsdl-framework
    --->  Cleaning libsdl-framework
    --->  Computing dependencies for boost
    --->  Cleaning boost
    --->  Cleaning boost-jam
    --->  Computing dependencies for libpng
    --->  Cleaning libpng
    --->  Cleaning jpeg
    --->  Computing dependencies for tiff
    --->  Cleaning tiff
    --->  Cleaning libogg
    --->  Computing dependencies for libvorbis
    --->  Cleaning libvorbis
    --->  Computing dependencies for python27
    --->  Cleaning python27
    --->  Computing dependencies for libdevil
    --->  Cleaning libdevil
    --->  Computing dependencies for git-core
    --->  Cleaning git-core
    --->  Computing dependencies for binutils
    --->  Cleaning binutils
    --->  Cleaning p7zip
    --->  Cleaning glew
    --->  Scanning binaries for linking errors: 100.0%
    --->  No broken files found.
    Gream-2:~ ssudholt$ ./configure --enable-png --enable-ILU --enable-ILUT --enable-x86_64 CPPFLAGS="-I/opt/local/include/ -L/opt/local/lib/" LDFLAGS=-L/opt/local/lib/
    -bash: ./configure: No such file or directory
    Gream-2:~ ssudholt$ extract .spring
    -bash: extract: command not found
    Gream-2:~ ssudholt$ extract spring
    -bash: extract: command not found
    Gream-2:~ ssudholt$ git reset --hard
    fatal: Not a git repository (or any of the parent directories): .git
    Gream-2:~ ssudholt$ cmake .
    CMake Error: The source directory "/Users/ssudholt" does not appear to contain CMakeLists.txt.
    Specify --help for usage, or press the help button on the CMake GUI.
    Gream-2:~ ssudholt$ --help
    -bash: --help: command not found
    Gream-2:~ ssudholt$ cmake
    cmake version 2.8.10.2
    Usage
    
      cmake [options] <path-to-source>
      cmake [options] <path-to-existing-build>
    
    Options
      -C <initial-cache>          = Pre-load a script to populate the cache.
      -D <var>:<type>=<value>     = Create a cmake cache entry.
      -U <globbing_expr>          = Remove matching entries from CMake cache.
      -G <generator-name>         = Specify a makefile generator.
      -Wno-dev                    = Suppress developer warnings.
      -Wdev                       = Enable developer warnings.
      -E                          = CMake command mode.
      -i                          = Run in wizard mode.
      -L[A][H]                    = List non-advanced cached variables.
      --build <dir>               = Build a CMake-generated project binary tree.
      -N                          = View mode only.
      -P <file>                   = Process script mode.
      --find-package              = Run in pkg-config like mode.
      --graphviz=[file]           = Generate graphviz of dependencies.
      --system-information [file] = Dump information about this system.
      --debug-trycompile          = Do not delete the try_compile build tree.
                                    Only useful on one try_compile at a time.
      --debug-output              = Put cmake in a debug mode.
      --trace                     = Put cmake in trace mode.
      --warn-uninitialized        = Warn about uninitialized values.
      --warn-unused-vars          = Warn about unused variables.
      --no-warn-unused-cli        = Don't warn about command line options.
      --check-system-vars         = Find problems with variable usage in system
                                    files.
      --help-command cmd [file]   = Print help for a single command and exit.
      --help-command-list [file]  = List available listfile commands and exit.
      --help-commands [file]      = Print help for all commands and exit.
      --help-compatcommands [file]= Print help for compatibility commands.
      --help-module module [file] = Print help for a single module and exit.
      --help-module-list [file]   = List available modules and exit.
      --help-modules [file]       = Print help for all modules and exit.
      --help-custom-modules [file]= Print help for all custom modules and exit.
      --help-policy cmp [file]    = Print help for a single policy and exit.
      --help-policies [file]      = Print help for all policies and exit.
      --help-property prop [file] = Print help for a single property and exit.
      --help-property-list [file] = List available properties and exit.
      --help-properties [file]    = Print help for all properties and exit.
      --help-variable var [file]  = Print help for a single variable and exit.
      --help-variable-list [file] = List documented variables and exit.
      --help-variables [file]     = Print help for all variables and exit.
      --copyright [file]          = Print the CMake copyright and exit.
      --help,-help,-usage,-h,-H,/?= Print usage information and exit.
      --help-full [file]          = Print full help and exit.
      --help-html [file]          = Print full help in HTML format.
      --help-man [file]           = Print full help as a UNIX man page and exit.
      --version,-version,/V [file]= Show program name/version banner and exit.
    
    Generators
    
    The following generators are available on this platform:
      Ninja                       = Generates build.ninja files (experimental).
      Unix Makefiles              = Generates standard UNIX makefiles.
      Xcode                       = Generate Xcode project files.
      CodeBlocks - Ninja          = Generates CodeBlocks project files.
      CodeBlocks - Unix Makefiles = Generates CodeBlocks project files.
      Eclipse CDT4 - Ninja        = Generates Eclipse CDT 4.0 project files.
      Eclipse CDT4 - Unix Makefiles
                                  = Generates Eclipse CDT 4.0 project files.
      KDevelop3                   = Generates KDevelop 3 project files.
      KDevelop3 - Unix Makefiles  = Generates KDevelop 3 project files.
    
    Gream-2:~ ssudholt$ 
    Gream-2:~ ssudholt$ cd
    Gream-2:~ ssudholt$ cd ..
    Gream-2:Users ssudholt$ cd ssudholt
    Gream-2:~ ssudholt$ ls
    Applications	Downloads	Music		spring
    Desktop		Library		Pictures	var
    Documents	Movies		Public
    Gream-2:~ ssudholt$ cd spring
    Gream-2:spring ssudholt$ ls
    AI			README.markdown		gpl-2.0.txt
    AUTHORS			THANKS			gpl-3.0.html
    CMakeLists.txt		VERSION.template	gpl-3.0.txt
    COPYING			buildbot		include
    Doxyfile		cont			installer
    FAQ			directories.txt		rts
    LICENSE			doc			test
    LICENSE.html		gpl-2.0.html		tools
    Gream-2:spring ssudholt$ cmake .
    ^[[B^[[B^[[A-- The C compiler identification is Clang 4.2.0
    -- The CXX compiler identification is Clang 4.2.0
    -- Check for working C compiler: /usr/bin/cc
    -- Check for working C compiler: /usr/bin/cc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /usr/bin/c++
    -- Check for working CXX compiler: /usr/bin/c++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    @(#)PROGRAM:ld  PROJECT:ld64-136
    configured to support archs: armv6 armv7 armv7s i386 x86_64
    LTO support using: LLVM version 3.2svn, from Apple Clang 4.2 (build 425.0.28)
    CMake Warning at CMakeLists.txt:89 (Message):
      You are using ld.bfd, it's much slower than ld.gold.
    
    
    -- Boost version: 1.53.0
    -- Found the following Boost libraries:
    --   thread
    --   regex
    --   program_options
    --   system
    --   chrono
    --   signals
    --   filesystem
    -- Boost version: 1.53.0
    -- Found the following Boost libraries:
    --   timer
    -- Found SDL: /opt/local/lib/libSDL.dylib;/opt/local/lib/libSDLmain.a;-framework Cocoa (found version "1.2.15") 
    -- Found DevIL: /opt/local/include/IL/il.h  
    -- Found DevIL-ILU: /opt/local/lib/libILU.dylib - /opt/local/include/IL/ilu.h
    -- Found DevIL-ILUT: /opt/local/lib/libILUT.dylib - /opt/local/include/IL/ilut.h
    -- Checking to see if CXX compiler accepts flag -fvisibility-inlines-hidden
    -- Checking to see if CXX compiler accepts flag -fvisibility-inlines-hidden - yes
    -- Checking to see if CXX compiler accepts flag -msse -mfpmath=sse
    -- Checking to see if CXX compiler accepts flag -msse -mfpmath=sse - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse2
    -- Checking to see if CXX compiler accepts flag -mno-sse2 - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse3
    -- Checking to see if CXX compiler accepts flag -mno-sse3 - yes
    -- Checking to see if CXX compiler accepts flag -mno-ssse3
    -- Checking to see if CXX compiler accepts flag -mno-ssse3 - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse4.1
    -- Checking to see if CXX compiler accepts flag -mno-sse4.1 - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse4.2
    -- Checking to see if CXX compiler accepts flag -mno-sse4.2 - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse4
    -- Checking to see if CXX compiler accepts flag -mno-sse4 - yes
    -- Checking to see if CXX compiler accepts flag -mno-sse4a
    -- Checking to see if CXX compiler accepts flag -mno-sse4a - yes
    -- Checking to see if CXX compiler accepts flag -mno-avx
    -- Checking to see if CXX compiler accepts flag -mno-avx - yes
    -- Checking to see if CXX compiler accepts flag -mno-fma
    -- Checking to see if CXX compiler accepts flag -mno-fma - yes
    -- Checking to see if CXX compiler accepts flag -mno-fma4
    -- Checking to see if CXX compiler accepts flag -mno-fma4 - yes
    -- Checking to see if CXX compiler accepts flag -mno-xop
    -- Checking to see if CXX compiler accepts flag -mno-xop - yes
    -- Checking to see if CXX compiler accepts flag -mno-lwp
    -- Checking to see if CXX compiler accepts flag -mno-lwp - yes
    -- Checking to see if CXX compiler accepts flag -mno-avx2
    -- Checking to see if CXX compiler accepts flag -mno-avx2 - yes
    CMake Warning at rts/build/cmake/TestCXXFlags.cmake:79 (Message):
      Clang detected, disabled IEEE-FP
    Call Stack (most recent call first):
      CMakeLists.txt:295 (INCLUDE)
    
    
    -- Checking to see if CXX compiler accepts flag -std=c++11
    -- Checking to see if CXX compiler accepts flag -std=c++11 - yes
    -- Checking to see if CXX compiler accepts flag -march=i686
    -- Checking to see if CXX compiler accepts flag -march=i686 - no
    -- Checking to see if CXX compiler accepts flag -march=x86_64
    -- Checking to see if CXX compiler accepts flag -march=x86_64 - no
    -- Building Spring for 64bit environment
    -- Try OpenMP C flag = [-fopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [/openmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [-Qopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [-openmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [ ]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [-xopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [+Oopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [-qsmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP C flag = [-mp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-fopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [/openmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-Qopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-openmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [ ]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-xopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [+Oopenmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-qsmp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Try OpenMP CXX flag = [-mp]
    -- Performing Test OpenMP_FLAG_DETECTED
    -- Performing Test OpenMP_FLAG_DETECTED - Failed
    -- Could NOT find OpenMP (missing:  OpenMP_C_FLAGS OpenMP_CXX_FLAGS) 
    -- Compiling with C++11
    CMake Warning at CMakeLists.txt:386 (Message):
      unknown compiler
    
    
    -- Found GIT: /opt/local/bin/git  
    -- Found GLEW: /Users/ssudholt/spring/include (Required is at least version "1.5.1") 
    -- Found ZLIB: /usr/lib/libz.dylib  
    -- Building Assimp with flags              -std=c++11  -pipe -fno-strict-aliasing   -fvisibility-inlines-hidden -pthread
    -- Found AWK: /usr/bin/awk  
    -- AWK version: awk version 20070501
    -- Found AI Wrapper: CUtils (sources only wrapper)
    -- Found AI Interface: C-AIInterface 0.1
    -- Found Java: /usr/bin/java (found version "1.6.0.51") 
    -- Found Java: /usr/bin/java  
    -- Found JNI: -framework JavaVM  
    -- Found AI Interface: Java-AIInterface 0.1
    -- Could NOT find Maven (missing:  MVN_BIN MVN_VERSION MVN_ATTRIBUTES_DEFAULT) 
    -- Found AI Wrapper: Cpp-AIWrapper
    -- Found AI Wrapper: JavaOO
    -- Found vecmath.jar: /Users/ssudholt/spring/AI/Wrappers/JavaOO/jlib/vecmath.jar
    -- Could NOT find Maven (missing:  MVN_BIN MVN_VERSION MVN_ATTRIBUTES_DEFAULT) 
    -- Found AI Wrapper: LegacyCpp-AIWrapper
    -- Found AI Wrapper: LegacyCpp-Creg-AIWrapper
    -- Found Skirmish AI: AAI 0.9
    -- Found Skirmish AI: CppTestAI 0.1
    -- Found Skirmish AI: NullAI 0.1
    -- Could NOT find Maven (missing:  MVN_BIN MVN_VERSION MVN_ATTRIBUTES_DEFAULT) 
    -- Found Skirmish AI: NullJavaAI 0.1 (config: default)
    -- Could NOT find Maven (missing:  MVN_BIN MVN_VERSION MVN_ATTRIBUTES_DEFAULT) 
    -- Found Skirmish AI: NullOOJavaAI 0.1 (config: default)
    -- Found Skirmish AI: RAI 0.601
    -- Found SevenZip: /opt/local/bin/7z  
    -- Found XSLTProc: /usr/bin/xsltproc  
    -- Could NOT find DocBook (missing:  DOCBOOK_XSL) 
    -- MAN pages will not be generated/installed; missing utilit(y|ies): asciidoc docbook-xsl
    -- Found OpenAL: /Library/Frameworks/OpenAL.framework  
    -- Looking for vorbis_bitrate_addblock in vorbis
    -- Looking for vorbis_bitrate_addblock in vorbis - not found
    -- Found OggVorbis: /opt/local/lib/libogg.dylib;/opt/local/lib/libvorbis.dylib;/opt/local/lib/libvorbisfile.dylib
    -- Found OpenGL: /System/Library/Frameworks/OpenGL.framework  
    -- WARNING: you are using the obsolete 'GLU' package, please use 'OpenGL' instead
    -- Found Freetype: -L/opt/X11/lib -lfreetype -lz -lbz2  
    -- Looking for XOpenDisplay in /opt/local/lib/libX11.dylib;/opt/local/lib/libXext.dylib
    -- Looking for XOpenDisplay in /opt/local/lib/libX11.dylib;/opt/local/lib/libXext.dylib - found
    -- Looking for gethostbyname
    -- Looking for gethostbyname - found
    -- Looking for connect
    -- Looking for connect - found
    -- Looking for remove
    -- Looking for remove - found
    -- Looking for shmat
    -- Looking for shmat - found
    -- Looking for IceConnectionNumber in ICE
    -- Looking for IceConnectionNumber in ICE - found
    -- Found X11: /opt/local/lib/libX11.dylib
    -- WARNING: you are using the obsolete 'GLU' package, please use 'OpenGL' instead
    -- Using legacy as default engine
    -- WARNING: you are using the obsolete 'GLU' package, please use 'OpenGL' instead
    -- Boost version: 1.53.0
    -- Found the following Boost libraries:
    --   unit_test_framework
    -- Configuring done
    -- Generating done
    -- Build files have been written to: /Users/ssudholt/spring
    Gream-2:spring ssudholt$ make spring
    Scanning dependencies of target generateVersionFiles
      Configuring Version files ...
    Spring engine version: 94.1.1-644-g0278581 develop ()
    [  0%] Built target generateVersionFiles
    Scanning dependencies of target LegacyCpp-AIWrapper
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/AIAI.cpp.o
    ^[[B^[[D^[[A^[[C[  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/AIAICallback.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/AIAICheats.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/AIGlobalAICallback.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/Command.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/CommandQueue.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/DamageArray.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/MoveData.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/UnitDef.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/__/__/__/rts/ExternalAI/AISCommands.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/__/__/__/rts/System/float3.cpp.o
    [  0%] Building CXX object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/__/__/__/rts/Game/GameVersion.cpp.o
    [  0%] Building C object AI/Wrappers/LegacyCpp/CMakeFiles/LegacyCpp-AIWrapper.dir/__/__/__/rts/System/SafeCStrings.c.o
    Linking CXX static library libLegacyCpp.a
    /usr/bin/ranlib: file: libLegacyCpp.a(Command.cpp.o) has no symbols
    /usr/bin/ranlib: file: libLegacyCpp.a(CommandQueue.cpp.o) has no symbols
    /usr/bin/ranlib: file: libLegacyCpp.a(MoveData.cpp.o) has no symbols
    /usr/bin/ranlib: file: libLegacyCpp.a(Command.cpp.o) has no symbols
    /usr/bin/ranlib: file: libLegacyCpp.a(CommandQueue.cpp.o) has no symbols
    /usr/bin/ranlib: file: libLegacyCpp.a(MoveData.cpp.o) has no symbols
    [  0%] Built target LegacyCpp-AIWrapper
    Scanning dependencies of target RAI
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/AIExport.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/Builder.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/BuilderPlacement.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/CombatManager.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/GResourceMap.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/GTerrainMap.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/LogFile.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/PowerManager.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/RAI.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/SWeaponManager.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/UnitDefHandler.cpp.o
    [  0%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/UnitManager.cpp.o
    [  0%] Building C object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/SharedLibrary.c.o
    [  0%] Building C object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/SimpleLog.c.o
    [  2%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/SimpleProfiler.cpp.o
    [  2%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/SSkirmishAISpecifier.cpp.o
    [  2%] Building C object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/Util.c.o
    [  2%] Building CXX object AI/Skirmish/RAI/CMakeFiles/RAI.dir/__/__/Wrappers/CUtils/TimeUtil.cpp.o
    Linking CXX shared module libSkirmishAI.dylib
    clang: warning: argument unused during compilation: '-pthread'
    [  2%] Built target RAI
    Scanning dependencies of target engineaGui
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/Button.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/Gui.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/GuiElement.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/HorizontalLayout.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/LineEdit.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/List.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/Picture.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/TextElement.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/VerticalLayout.cpp.o
    [  2%] Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/Window.cpp.o
    Linking CXX static library libengineaGui.a
    [  2%] Built target engineaGui
    Scanning dependencies of target luasocket
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/auxiliar.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/buffer.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/except.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/inet.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/io.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/luasocket.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/mime.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/options.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/select.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/tcp.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/timeout.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/udp.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/restrictions.cpp.o
    [  2%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/usocket.cpp.o
    [  4%] Building CXX object rts/lib/luasocket/CMakeFiles/luasocket.dir/src/unix.cpp.o
    Linking CXX static library libluasocket.a
    [  4%] Built target luasocket
    Scanning dependencies of target streflop
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/SMath.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/Random.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/streflopC.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_acosf.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_acoshf.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_asinf.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_atan2f.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_atanhf.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_coshf.cpp.o
    [  4%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_exp2f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_expf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_fmodf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_gammaf_r.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_hypotf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_j0f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_j1f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_jnf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_lgammaf_r.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_log10f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_log2f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_logf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_powf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_rem_pio2f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_remainderf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_sinhf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/e_sqrtf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/k_cosf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/k_rem_pio2f.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/k_sinf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/k_tanf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_asinhf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_atanf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_cbrtf.cpp.o
    [  6%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_ceilf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_copysignf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_cosf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_erff.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_expm1f.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_fabsf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_finitef.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_floorf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_fpclassifyf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_frexpf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_ilogbf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_isinff.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_isnanf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_ldexpf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_llrintf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_llroundf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_log1pf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_logbf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_lrintf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_lroundf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_modff.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_nearbyintf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_nextafterf.cpp.o
    [  8%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_remquof.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_rintf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_roundf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_scalblnf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_scalbnf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_signbitf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_sincosf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_sinf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_tanf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_tanhf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/s_truncf.cpp.o
    [ 11%] Building CXX object rts/lib/streflop/CMakeFiles/streflop.dir/libm/flt-32/w_expf.cpp.o
    Linking CXX static library libstreflop.a
    [ 11%] Built target streflop
    Scanning dependencies of target lua
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lapi.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lauxlib.cpp.o
    /Users/ssudholt/spring/rts/lib/lua/src/lauxlib.cpp:598:61: warning: while loop has
          empty body [-Wempty-body]
       while ((c = getc(lf.f)) != EOF && c != LUA_SIGNATURE[0]) ;
                                                                ^
    /Users/ssudholt/spring/rts/lib/lua/src/lauxlib.cpp:598:61: note: put the semicolon
          on a separate line to silence this warning
    1 warning generated.
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lbaselib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lcode.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ldblib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ldebug.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ldo.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ldump.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lfunc.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lgc.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/linit.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/liolib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/llex.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lmathlib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lmem.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/loadlib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lobject.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lopcodes.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/loslib.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lparser.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lstate.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lstring.cpp.o
    [ 11%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lstrlib.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ltable.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ltablib.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/ltm.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lundump.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lvm.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/lzio.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/src/print.cpp.o
    [ 13%] Building CXX object rts/lib/lua/CMakeFiles/lua.dir/include/LuaUser.cpp.o
    Linking CXX static library liblua.a
    [ 13%] Built target lua
    Scanning dependencies of target squish
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/alpha.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/clusterfit.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/colourblock.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/colourfit.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/colourset.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/maths.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/rangefit.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/singlecolourfit.cpp.o
    [ 13%] Building CXX object rts/lib/squish/CMakeFiles/squish.dir/squish.cpp.o
    Linking CXX static library libsquish.a
    [ 13%] Built target squish
    Scanning dependencies of target rgetc1
    [ 13%] Building CXX object rts/lib/rg-etc1/CMakeFiles/rgetc1.dir/rg_etc1.cpp.o
    /Users/ssudholt/spring/rts/lib/rg-etc1/rg_etc1.cpp:1877:42: warning: expression
          result unused [-Wunused-value]
          const uint limit = diff ? 32 : 16; limit;
                                             ^~~~~
    /Users/ssudholt/spring/rts/lib/rg-etc1/rg_etc1.cpp:1939:7: warning: expression
          result unused [-Wunused-value]
          pack_params;
          ^~~~~~~~~~~
    /Users/ssudholt/spring/rts/lib/rg-etc1/rg_etc1.cpp:2031:7: warning: expression
          result unused [-Wunused-value]
          pack_params;
          ^~~~~~~~~~~
    3 warnings generated.
    Linking CXX static library librgetc1.a
    [ 13%] Built target rgetc1
    Scanning dependencies of target 7zip
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zAlloc.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zBuf.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zBuf2.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zCrc.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zCrcOpt.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zDec.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zIn.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/CpuArch.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/LzmaDec.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Lzma2Dec.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Bra.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Bra86.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Bcj2.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Ppmd7.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/Ppmd7Dec.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zFile.c.o
    [ 13%] Building C object rts/lib/7z/CMakeFiles/7zip.dir/7zStream.c.o
    Linking C static library lib7zip.a
    [ 13%] Built target 7zip
    Scanning dependencies of target minizip
    [ 13%] Building C object rts/lib/minizip/CMakeFiles/minizip.dir/unzip.c.o
    [ 13%] Building C object rts/lib/minizip/CMakeFiles/minizip.dir/zip.c.o
    /Users/ssudholt/spring/rts/lib/minizip/zip.c:1249:28: warning: incompatible
          pointer types assigning to 'const unsigned long *' from 'const z_crc_t *'
          (aka 'const unsigned int *') [-Wincompatible-pointer-types]
            zi->ci.pcrc_32_tab = get_crc_table();
                               ^ ~~~~~~~~~~~~~~~
    1 warning generated.
    [ 13%] Building C object rts/lib/minizip/CMakeFiles/minizip.dir/ioapi.c.o
    Linking C static library libminizip.a
    [ 13%] Built target minizip
    Scanning dependencies of target assimp
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Assimp.cpp.o
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/AssimpPCH.cpp.o
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BaseImporter.cpp.o
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BaseProcess.cpp.o
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/PostStepRegistry.cpp.o
    [ 13%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ImporterRegistry.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/DefaultIOStream.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/DefaultIOSystem.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Importer.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SGSpatialSort.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/VertexTriangleAdjacency.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SpatialSort.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SceneCombiner.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ScenePreprocessor.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SkeletonMeshBuilder.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SplitByBoneCountProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/StandardShapes.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/TargetAnimation.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/RemoveComments.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Subdivision.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/DefaultLogger.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Exporter.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/AssimpCExport.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/CalcTangentsProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ComputeUVMappingProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ConvertToLHProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/FindDegenerates.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/FindInstancesProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/FindInvalidDataProcess.cpp.o
    [ 15%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/FixNormalsStep.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/GenFaceNormalsProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/GenVertexNormalsProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/PretransformVertices.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ImproveCacheLocality.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/JoinVerticesProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LimitBoneWeightsProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/RemoveRedundantMaterials.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/RemoveVCProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SortByPTypeProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SplitLargeMeshes.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/TerragenLoader.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/TextureTransform.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/TriangulateProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ValidateDataStructure.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OptimizeGraph.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OptimizeMeshes.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/DeboneProcess.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ProcessHelper.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MakeVerboseFormat.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/3DSConverter.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/3DSLoader.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ACLoader.cpp.o
    [ 17%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ASELoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ASEParser.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/B3DImporter.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BVHLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ColladaLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ColladaParser.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ColladaExporter.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/DXFLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/CSMLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/HMPLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IRRLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IRRMeshLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IRRShared.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LWOAnimation.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LWOBLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LWOLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LWOMaterial.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/LWSLoader.cpp.o
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:451:15: warning: adding
          'const char' to a string does not append to the string [-Wstring-plus-int]
                    tmp = in[0] + ":\\" + in.substr(2);
                          ~~~~~~^~~~~~~
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:451:15: note: use array
          indexing to silence this warning
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:467:26: warning: adding
          'char' to a string does not append to the string [-Wstring-plus-int]
            std::string test = ".." + io->getOsSeparator() + tmp; 
                               ~~~~~^~~~~~~~~~~~~~~~~~~~~~
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:467:26: note: use array
          indexing to silence this warning
            std::string test = ".." + io->getOsSeparator() + tmp; 
                                    ^
                               &    [                     ]
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:471:14: warning: adding
          'char' to a string does not append to the string [-Wstring-plus-int]
            test = ".." + io->getOsSeparator() + test; 
                   ~~~~~^~~~~~~~~~~~~~~~~~~~~~
    /Users/ssudholt/spring/rts/lib/assimp/code/LWSLoader.cpp:471:14: note: use array
          indexing to silence this warning
            test = ".." + io->getOsSeparator() + test; 
                        ^
                   &    [                     ]
    3 warnings generated.
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/M3Importer.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MD2Loader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MD3Loader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MD5Loader.cpp.o
    /Users/ssudholt/spring/rts/lib/assimp/code/MD5Loader.cpp:178:9: warning: 
          assigning field to itself [-Wself-assign-field]
            pScene = pScene;
                   ^
    1 warning generated.
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MD5Parser.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MDCLoader.cpp.o
    [ 20%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MDLLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MDLMaterialLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MaterialSystem.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/NFFLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OFFLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ObjFileImporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ObjFileMtlImporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ObjFileParser.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/ObjExporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OgreImporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OgreMaterial.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OgreMesh.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/OgreSkeleton.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/PlyLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/PlyParser.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/PlyExporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Q3DLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Q3BSPFileParser.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Q3BSPFileImporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/Q3BSPZipArchive.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/RawLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/SMDLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/STLLoader.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/STLExporter.cpp.o
    [ 22%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/UnrealLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/XFileImporter.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/XFileParser.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/MS3DLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/COBLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BlenderLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BlenderDNA.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BlenderScene.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/BlenderModifier.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/NDOLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCReaderGen.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCUtil.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCGeometry.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCMaterial.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCProfile.cpp.o
    In file included from /Users/ssudholt/spring/rts/lib/assimp/code/IFCProfile.cpp:45:
    In file included from /Users/ssudholt/spring/rts/lib/assimp/code/AssimpPCH.h:124:
    In file included from /opt/local/include/boost/scoped_ptr.hpp:14:
    In file included from /opt/local/include/boost/smart_ptr/scoped_ptr.hpp:16:
    /opt/local/include/boost/checked_delete.hpp:34:5: warning: delete called on 'const Assimp::IFC::Curve' that is
          abstract but has non-virtual destructor [-Wdelete-non-virtual-dtor]
        delete x;
        ^
    /opt/local/include/boost/smart_ptr/scoped_ptr.hpp:82:9: note: in instantiation of function template
          specialization 'boost::checked_delete<const Assimp::IFC::Curve>' requested here
            boost::checked_delete( px );
            ^
    /Users/ssudholt/spring/rts/lib/assimp/code/IFCProfile.cpp:68:33: note: in instantiation of member function
          'boost::scoped_ptr<const Assimp::IFC::Curve>::~scoped_ptr' requested here
            boost::scoped_ptr<const Curve> cv(Curve::Convert(curve,conv));
                                           ^
    1 warning generated.
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/IFCCurve.cpp.o
    In file included from /Users/ssudholt/spring/rts/lib/assimp/code/IFCCurve.cpp:45:
    In file included from /Users/ssudholt/spring/rts/lib/assimp/code/AssimpPCH.h:124:
    In file included from /opt/local/include/boost/scoped_ptr.hpp:14:
    In file included from /opt/local/include/boost/smart_ptr/scoped_ptr.hpp:16:
    /opt/local/include/boost/checked_delete.hpp:34:5: warning: delete called on 'Assimp::IFC::Curve' that is abstract
          but has non-virtual destructor [-Wdelete-non-virtual-dtor]
        delete x;
        ^
    /opt/local/include/boost/smart_ptr/detail/shared_count.hpp:134:13: note: in instantiation of function template
          specialization 'boost::checked_delete<Assimp::IFC::Curve>' requested here
                boost::checked_delete( p );
                ^
    /opt/local/include/boost/smart_ptr/shared_ptr.hpp:276:5: note: in instantiation of function template
          specialization 'boost::detail::shared_count::shared_count<Assimp::IFC::Curve>' requested here
        boost::detail::shared_count( p ).swap( pn );
        ^
    /opt/local/include/boost/smart_ptr/shared_ptr.hpp:354:9: note: in instantiation of function template
          specialization 'boost::detail::sp_pointer_construct<Assimp::IFC::Curve, Assimp::IFC::Curve>' requested here
            boost::detail::sp_pointer_construct( this, p, pn );
            ^
    /Users/ssudholt/spring/rts/lib/assimp/code/IFCCurve.cpp:243:31: note: in instantiation of function template
          specialization 'boost::shared_ptr<Assimp::IFC::Curve>::shared_ptr<Assimp::IFC::Curve>' requested here
                            boost::shared_ptr< Curve > cv(Curve::Convert(curveSegment.ParentCurve,conv));
                                                       ^
    1 warning generated.
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/STEPFileReader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/XGLLoader.cpp.o
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/irrXML/irrXML.cpp.o
    [ 24%] Building C object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/ConvertUTF/ConvertUTF.c.o
    [ 24%] Building C object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/unzip/ioapi.c.o
    [ 24%] Building C object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/unzip/unzip.c.o
    /Users/ssudholt/spring/rts/lib/assimp/contrib/unzip/unzip.c:1249:46: warning: equality comparison with extraneous
          parentheses [-Wparentheses-equality]
        if ((pfile_in_zip_read_info->read_buffer == NULL))
             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~
    /Users/ssudholt/spring/rts/lib/assimp/contrib/unzip/unzip.c:1249:46: note: remove extraneous parentheses around
          the comparison to silence this warning
        if ((pfile_in_zip_read_info->read_buffer == NULL))
            ~                                    ^      ~
    /Users/ssudholt/spring/rts/lib/assimp/contrib/unzip/unzip.c:1249:46: note: use '=' to turn this equality
          comparison into an assignment
        if ((pfile_in_zip_read_info->read_buffer == NULL))
                                                 ^~
                                                 =
    1 warning generated.
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/poly2tri/poly2tri/common/shapes.cc.o
    /Users/ssudholt/spring/rts/lib/assimp/contrib/poly2tri/poly2tri/common/shapes.cc:167:1: warning: control may
          reach end of non-void function [-Wreturn-type]
    }
    ^
    /Users/ssudholt/spring/rts/lib/assimp/contrib/poly2tri/poly2tri/common/shapes.cc:226:1: warning: control may
          reach end of non-void function [-Wreturn-type]
    }
    ^
    /Users/ssudholt/spring/rts/lib/assimp/contrib/poly2tri/poly2tri/common/shapes.cc:239:1: warning: control may
          reach end of non-void function [-Wreturn-type]
    }
    ^
    3 warnings generated.
    [ 24%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/poly2tri/poly2tri/sweep/advancing_front.cc.o
    [ 26%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/poly2tri/poly2tri/sweep/cdt.cc.o
    [ 26%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/poly2tri/poly2tri/sweep/sweep.cc.o
    [ 26%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/poly2tri/poly2tri/sweep/sweep_context.cc.o
    [ 26%] Building CXX object rts/lib/assimp/code/CMakeFiles/assimp.dir/__/contrib/clipper/clipper.cpp.o
    Linking CXX static library libassimp.a
    [ 26%] Built target assimp
    Scanning dependencies of target archives
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/BufferedArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/DirArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/IArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/PoolArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/SevenZipArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/VirtualArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/ZipArchive.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/Backend.cpp.o
    /Users/ssudholt/spring/rts/System/Log/Backend.cpp:17:29: warning: 'log_formatter_getSinks' has C-linkage
          specified, but returns user-defined type 'std::vector<log_sink_ptr> &' which is incompatible with C
          [-Wreturn-type-c-linkage]
            std::vector<log_sink_ptr>& log_formatter_getSinks() {
                                       ^
    /Users/ssudholt/spring/rts/System/Log/Backend.cpp:22:32: warning: 'log_formatter_getCleanupFuncs' has C-linkage
          specified, but returns user-defined type 'std::vector<log_cleanup_ptr> &' which is incompatible with C
          [-Wreturn-type-c-linkage]
            std::vector<log_cleanup_ptr>& log_formatter_getCleanupFuncs() {
                                          ^
    2 warnings generated.
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/DefaultFilter.cpp.o
    /Users/ssudholt/spring/rts/System/Log/DefaultFilter.cpp:45:15: warning: 'log_filter_getSectionMinLevels' has
          C-linkage specified, but returns user-defined type 'secIntMap_t &' (aka 'map<const char *, int,
          log_filter_section_compare> &') which is incompatible with C [-Wreturn-type-c-linkage]
            secIntMap_t& log_filter_getSectionMinLevels() {
                         ^
    /Users/ssudholt/spring/rts/System/Log/DefaultFilter.cpp:50:12: warning: 'log_filter_getRegisteredSections' has
          C-linkage specified, but returns user-defined type 'secSet_t &' (aka 'set<const char *,
          log_filter_section_compare> &') which is incompatible with C [-Wreturn-type-c-linkage]
            secSet_t& log_filter_getRegisteredSections() {
                      ^
    2 warnings generated.
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/DefaultFormatter.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/FramePrefixer.cpp.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/LogSinkHandler.cpp.o
    [ 26%] Building C object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/LogUtil.c.o
    [ 26%] Building CXX object rts/System/FileSystem/Archives/CMakeFiles/archives.dir/__/__/Log/ConsoleSink.cpp.o
    Linking CXX static library libarchives.a
    [ 26%] Built target archives
    Scanning dependencies of target engineSystemNet
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/Connection.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/LocalConnection.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/LoopbackConnection.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/PackPacket.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/ProtocolDef.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/RawPacket.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/Socket.cpp.o
    [ 26%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/UDPConnection.cpp.o
    [ 28%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/UDPListener.cpp.o
    [ 28%] Building CXX object rts/System/Net/CMakeFiles/engineSystemNet.dir/UnpackPacket.cpp.o
    Linking CXX static library libengineSystemNet.a
    [ 28%] Built target engineSystemNet
    Scanning dependencies of target cursors.sdz
    [ 28%] Creating /Users/ssudholt/spring/base/cursors.sdz
    [ 28%] Built target cursors.sdz
    Scanning dependencies of target bitmaps.sdz
    [ 28%] Creating /Users/ssudholt/spring/base/spring/bitmaps.sdz
    [ 28%] Built target bitmaps.sdz
    Scanning dependencies of target springcontent.sdz
    [ 28%] Creating /Users/ssudholt/spring/base/springcontent.sdz
    [ 28%] Built target springcontent.sdz
    Scanning dependencies of target maphelper.sdz
    [ 28%] Creating /Users/ssudholt/spring/base/maphelper.sdz
    [ 28%] Built target maphelper.sdz
    Scanning dependencies of target basecontent
    [ 28%] Built target basecontent
    Scanning dependencies of target sound
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/IAudioChannel.cpp.o
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/ISound.cpp.o
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/SoundChannels.cpp.o
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/NullSound.cpp.o
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/ALShared.cpp.o
    In file included from /Users/ssudholt/spring/rts/System/Sound/ALShared.cpp:3:
    In file included from /Users/ssudholt/spring/rts/System/Sound/ALShared.h:6:
    /Library/Frameworks/OpenAL.framework/Headers/al.h:87:44: error: empty parameter list defined with a typedef of
          'void' not allowed in C++
    ALAPI ALenum    ALAPIENTRY alGetError( ALvoid );
                                                  ^
    1 error generated.
    make[3]: *** [rts/System/Sound/CMakeFiles/sound.dir/ALShared.cpp.o] Error 1
    make[2]: *** [rts/System/Sound/CMakeFiles/sound.dir/all] Error 2
    make[1]: *** [rts/builds/CMakeFiles/spring.dir/rule] Error 2
    make: *** [spring] Error 2
    Gream-2:spring ssudholt$ make install-spring
      Configuring Version files ...
    Spring engine version: 94.1.1-644-g0278581 develop ()
    [  0%] Built target generateVersionFiles
    [  0%] Built target LegacyCpp-AIWrapper
    [  2%] Built target RAI
    [  2%] Built target engineaGui
    [  4%] Built target luasocket
    [ 11%] Built target streflop
    [ 13%] Built target lua
    [ 13%] Built target squish
    [ 13%] Built target rgetc1
    [ 13%] Built target 7zip
    [ 13%] Built target minizip
    [ 26%] Built target assimp
    [ 26%] Built target archives
    [ 28%] Built target engineSystemNet
    [ 28%] Built target cursors.sdz
    [ 28%] Built target bitmaps.sdz
    [ 28%] Built target springcontent.sdz
    [ 28%] Built target maphelper.sdz
    [ 28%] Built target basecontent
    [ 28%] Building CXX object rts/System/Sound/CMakeFiles/sound.dir/ALShared.cpp.o
    In file included from /Users/ssudholt/spring/rts/System/Sound/ALShared.cpp:3:
    In file included from /Users/ssudholt/spring/rts/System/Sound/ALShared.h:6:
    /Library/Frameworks/OpenAL.framework/Headers/al.h:87:44: error: empty parameter
          list defined with a typedef of 'void' not allowed in C++
    ALAPI ALenum    ALAPIENTRY alGetError( ALvoid );
                                                  ^
    1 error generated.
    make[3]: *** [rts/System/Sound/CMakeFiles/sound.dir/ALShared.cpp.o] Error 1
    make[2]: *** [rts/System/Sound/CMakeFiles/sound.dir/all] Error 2
    make[1]: *** [rts/builds/CMakeFiles/install-spring.dir/rule] Error 2
    make: *** [install-spring] Error 2
    Gream-2:spring ssudholt$ cmake -G Xcode
    CMake Error: Error: generator : Xcode
    Does not match the generator used previously: Unix Makefiles
    Either remove the CMakeCache.txt file or choose a different binary directory.
    Gream-2:spring ssudholt$ xcodebuild
    xcodebuild: error: The directory /Users/ssudholt/spring does not contain an Xcode project.
    
    Gream-2:spring ssudholt$ sudo cp spring /usr/local/bin
    Password:
    cp: spring: No such file or directory
    Gream-2:spring ssudholt$ ls
    AI			Makefile		gpl-2.0.html
    AUTHORS			README.markdown		gpl-2.0.txt
    CMakeCache.txt		THANKS			gpl-3.0.html
    CMakeFiles		VERSION			gpl-3.0.txt
    CMakeLists.txt		VERSION.template	include
    COPYING			base			installer
    CTestTestfile.cmake	buildbot		rts
    Doxyfile		cmake_install.cmake	springsettings.cfg
    FAQ			cont			src-generated
    LICENSE			directories.txt		test
    LICENSE.html		doc			tools
    Gream-2:spring ssudholt$ cd ..
    Gream-2:~ ssudholt$ ls
    Applications	Downloads	Music		spring
    Desktop		Library		Pictures	var
    Documents	Movies		Public
    Gream-2:~ ssudholt$ cd spring
    Gream-2:spring ssudholt$ 
    
    ? file icon ssudholt-springbuild1 (61,854 bytes) 2013-06-19 12:57 +

-Relationships
+Relationships

-Notes

~0010771

daftalx (reporter)

> gdb spring-headless
GNU gdb 6.3.50-20050815 (Apple version gdb-1515) (Sat Jan 15 08:33:48 UTC 2011)
(gdb) break malloc_error_break
Breakpoint 1 at 0x3126e978c69499
(gdb) run --test-creg
Starting program: Spring_{develop}94.1.1-586-g69f0e8a.app/Contents/MacOS/spring-headless --test-creg
Reading symbols for shared libraries .........+..+............. done
spring-headless(85787) malloc: *** error for object 0x7fff703a0500: pointer being freed was not allocated
*** set a breakpoint in malloc_error_break to debug

Breakpoint 1, 0x00007fff85afb499 in malloc_error_break ()
(gdb) bt
#0 0x00007fff85afb499 in malloc_error_break ()
#1 0x00007fff85a25183 in free ()
#2 0x000000010051e757 in _ZNSt6vectorI6OptionSaIS0_EE19_M_emplace_back_auxIIRKS0_EEEvDpOT_ ()

~0010772

daftalx (reporter)

(gdb) info line * 0x000000010051e757
No line number information available for address 0x10051e757 <_ZNSt6vectorI6OptionSaIS0_EE19_M_emplace_back_auxIIRKS0_EEEvDpOT_+7767>

Perhaps we shouldn't strip the executables in the packaging script for the time being...

~0010773

abma (administrator)

stripping is fine, as without the package would be huge.

we should keep the debug symbols in a seperate file, so we can translate crashes as well, maybe see https://github.com/spring/spring/blob/develop/buildbot/slave/linux/create_linux_static_bundle.sh#L26 how its done for linux.

~0010777

abma (administrator)

hmm, the tests doesn't show this message any more after
https://github.com/spring/spring/commit/e58e33ec038682d0c9356ff79bd1de69e1d05514

it seems.

@daftalx:
does current spring develop work for you now?

~0010778

daftalx (reporter)

Spring_{develop}94.1.1-592-gb53a627.app has the exact same issue:

(gdb) bt
#0 0x00007fff8a52b499 in malloc_error_break ()
#1 0x00007fff8a455183 in free ()
#2 0x000000010051e7e7 in _ZNSt6vectorI6OptionSaIS0_EE19_M_emplace_back_auxIIRKS0_EEEvDpOT_ ()

(notice the line change from '0x10051e757' to '0x10051e7e7')

~0010780

abma (administrator)

do you have a complete stacktrace?

...vector... lets me think it happens when calling free(std::vector[i])

~0010781

daftalx (reporter)

That's everything that comes out of "bt"...
I'll change the script to strip debug info in an external file, you can then upload that as well on the server.

~0010793

abma (administrator)

hmmm:

gdb spring
(gdb) print _ZNSt6vectorI6OptionSaIS0_EE19_M_emplace_back_auxIIRKS0_EEEvDpOT_
$1 = {<text variable, no debug info>} 0xc5bac8 <std::vector<Option, std::allocator<Option> >::_M_emplace_back_aux<Option const&>(Option const&)>
(gdb) quit
abma@sonne:/var/tmp/home/dev/spring/develop$ addr2line -e spring
0xc5bac8
/usr/include/c++/4.7/bits/vector.tcc:400

line 400 is vector<... :
void
      vector<_Tp, _Alloc>::
      _M_emplace_back_aux(_Args&&... __args)

http://paste.springfiles.com/view/59823cef

~0010798

abma (administrator)

Last edited: 2013-05-31 19:06

View 2 revisions

sorry, atm no clue why this happens, i did run valgrind & cppcheck and couldn't find any issue :-(

for me it looks like vector.tcc / stdlibc++ is broken...

daftalx: can you create a debugbuild of test_ILog and run it with gdb & breakpoint please?

something like: cmake -DCMAKE_BUILD_TYPE=DEBUG3 . && make test_ILog && gdb test/test_ILog
break malloc_error_break
run
bt full

please?

~0010885

Gream (reporter)

Hello guys! I am new here, been talking with Danil from NOTA!
I tried compiling spring from development build using your (out of date walk through, if I can remember how I did it, I can type up a new version for you all!).
I worked through it, and got about 27% of the way into making the game.
I have uploaded the file ssudholt-springbuild1 (sorry if this is the wrong place)

it shows a lot of warnings and errors. I hope this can help you to debug Spring. So far I love what I see.

p.s. I do have some programing experience, but not enough to code, my brain doesn't function that way. But i am willing to test ect for you all.

I have mac OSX 10.8.3 on a newer imac. just let me know. my skype name is ssudholt

~0010886

abma (administrator)

Last edited: 2013-06-19 13:12

View 2 revisions

@Gream:
can you create a thread in the "Mac OS X" forum about your compile problems? the bug tracker is imo the wrong place.

Please copy&paste the error messages there, too. (at best at paste.springfiles.com, if the log is big)

http://springrts.com/phpbb/viewforum.php?f=65


edit: i guess you get this error messages because you are using an old version of gcc, you've to use ports to install a more up to date version of gcc...

~0011016

abma (administrator)

ok, we tried this on carrepairers mac, too (afaik os x lion) and got this when running doing:
gdb ./spring
break malloc_error_break
run
 (gdb) bt full
#0 0x00007fff5fc01028 in __dyld__dyld_start () No symbol table info available.
#1 0x0000000100000000 in ?? () No symbol table info available.

~0011019

abma (administrator)

maybe
http://stackoverflow.com/questions/7668857/updated-xcode-for-ios5-app-wont-run-stops-at-dyld-dyld-start

~0012949

abma (administrator)

buildbot setup is very likely broken:

http://springrts.com/phpbb/viewtopic.php?p=555444#p555444

~0012983

abma (administrator)

can't be fixed on the spring side, buildslave has to be fixed.
+Notes

-Issue History
Date Modified Username Field Change
2013-05-26 15:19 abma New Issue
2013-05-26 16:09 daftalx Note Added: 0010771
2013-05-26 16:26 daftalx Note Added: 0010772
2013-05-26 16:35 abma Note Added: 0010773
2013-05-27 15:03 abma Note Added: 0010777
2013-05-27 15:03 abma Assigned To => abma
2013-05-27 15:03 abma Status new => feedback
2013-05-27 17:04 daftalx Note Added: 0010778
2013-05-27 17:34 abma Note Added: 0010780
2013-05-27 17:34 abma Status feedback => assigned
2013-05-27 17:39 daftalx Note Added: 0010781
2013-05-31 02:16 abma Note Added: 0010793
2013-05-31 19:02 abma Assigned To abma =>
2013-05-31 19:05 abma Note Added: 0010798
2013-05-31 19:05 abma Status assigned => new
2013-05-31 19:06 abma Note Edited: 0010798 View Revisions
2013-05-31 19:06 abma Status new => feedback
2013-06-19 12:57 Gream File Added: ssudholt-springbuild1
2013-06-19 13:01 Gream Note Added: 0010885
2013-06-19 13:12 abma Note Added: 0010886
2013-06-19 13:12 abma Status feedback => new
2013-06-19 13:12 abma Note Edited: 0010886 View Revisions
2013-07-16 21:46 abma Note Added: 0011016
2013-07-17 00:22 abma Assigned To => abma
2013-07-17 00:22 abma Status new => assigned
2013-07-17 00:34 abma Changeset attached => spring develop ec5b4b62
2013-07-17 00:34 abma Status assigned => resolved
2013-07-17 00:34 abma Resolution open => fixed
2013-07-17 00:36 abma Changeset attached => spring develop f150e943
2013-07-17 00:45 abma Note Added: 0011019
2013-07-17 00:46 abma Status resolved => new
2013-07-17 01:46 abma Changeset attached => spring develop 4340238a
2013-07-17 01:46 abma Status new => resolved
2013-07-17 02:14 abma Changeset attached => spring develop 96a15306
2014-03-22 13:11 abma Assigned To abma =>
2014-03-22 13:11 abma Resolution fixed => reopened
2014-03-22 13:11 abma Product Version 94.1.1+git =>
2014-03-22 13:11 abma Target Version 95.0 =>
2014-03-22 13:11 abma Additional Information Updated View Revisions
2014-03-22 13:11 abma Status resolved => new
2014-03-22 13:11 abma Resolution reopened => open
2014-03-22 13:12 abma Note Added: 0012949
2014-03-22 13:12 abma Additional Information Updated View Revisions
2014-03-23 17:23 abma Category General => Buildbot
2014-04-04 14:24 abma Note Added: 0012983
2014-04-04 14:24 abma Status new => resolved
2014-04-04 14:24 abma Resolution open => not fixable
2014-04-04 14:24 abma Assigned To => abma
+Issue History